# Uses of Class
org.apache.avro.generic.GenericData

Packages that use GenericData
Package
Description
org.apache.avro
Avro kernel classes.
org.apache.avro.data
Interfaces and base classes shared by generic, specific and reflect.
org.apache.avro.generic
A generic representation for Avro data.
org.apache.avro.io
Utilities for Encoding and Decoding Avro data.
org.apache.avro.message
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.
org.apache.avro.specific
Generate specific Java classes for schemas and protocols.
org.apache.avro.util
Common utility classes.

## Uses of GenericData in org.apache.avro

Methods in org.apache.avro with parameters of type GenericData
Modifier and Type
Method
Description
`static Resolver.Action`
Resolver.EnumAdjust.`resolve(Schema w, Schema r, GenericData d)`
If writer and reader don't have same name, a `Resolver.ErrorAction.ErrorType.NAMES_DONT_MATCH` is returned, otherwise an appropriate `Resolver.EnumAdjust` is.
`static Resolver.Action`
Resolver.Promote.`resolve(Schema w, Schema r, GenericData d)`
Return a promotion.
`static Resolver.Action`
Resolver.ReaderUnion.`resolve(Schema w, Schema r, GenericData d, Map<Schema.SeenPair,Resolver.Action> seen)`
Returns a `Resolver.ReaderUnion` action for resolving `w` and `r`, or an `Resolver.ErrorAction` if there is no branch in the reader that matches the writer.
`static Resolver.Action`
Resolver.`resolve(Schema writer, Schema reader, GenericData data)`
Returns a `Resolver.Action` tree for resolving the writer schema `writer` and the reader schema `reader`.
`static Resolver.Action`
Resolver.WriterUnion.`resolve(Schema writeSchema, Schema readSchema, GenericData data, Map<Schema.SeenPair,Resolver.Action> seen)`
Constructors in org.apache.avro with parameters of type GenericData
Modifier
Constructor
Description
`protected`
`Action(Schema w, Schema r, GenericData data, Resolver.Action.Type t)`
``
`Container(Schema w, Schema r, GenericData d, Resolver.Action e)`
``
`DoNothing(Schema w, Schema r, GenericData d)`
``
`ErrorAction(Schema w, Schema r, GenericData d, Resolver.ErrorAction.ErrorType e)`
``
`ReaderUnion(Schema w, Schema r, GenericData d, int firstMatch, Resolver.Action actual)`
``
`Skip(Schema w, GenericData d)`

## Uses of GenericData in org.apache.avro.data

Methods in org.apache.avro.data that return GenericData
Modifier and Type
Method
Description
`protected final GenericData`
RecordBuilderBase.`data()`
Constructors in org.apache.avro.data with parameters of type GenericData
Modifier
Constructor
Description
`protected`
`RecordBuilderBase(RecordBuilderBase<T> other, GenericData data)`
RecordBuilderBase copy constructor.
`protected`
`RecordBuilderBase(Schema schema, GenericData data)`
Creates a RecordBuilderBase for building records of the given type.

## Uses of GenericData in org.apache.avro.generic

Methods in org.apache.avro.generic that return GenericData
Modifier and Type
Method
Description
`static GenericData`
GenericData.`get()`
Return the singleton instance.
`GenericData`
GenericDatumReader.`getData()`
Return the `GenericData` implementation.
`GenericData`
GenericDatumWriter.`getData()`
Return the `GenericData` implementation.
`GenericData`
GenericData.`setFastReaderEnabled(boolean flag)`
Constructors in org.apache.avro.generic with parameters of type GenericData
Modifier
Constructor
Description
`protected`
`GenericDatumReader(GenericData data)`
``
`GenericDatumReader(Schema writer, Schema reader, GenericData data)`
`protected`
`GenericDatumWriter(GenericData data)`
``
`GenericDatumWriter(Schema root, GenericData data)`

## Uses of GenericData in org.apache.avro.io

Methods in org.apache.avro.io with parameters of type GenericData
Modifier and Type
Method
Description
`static boolean`
FastReaderBuilder.`isSupportedData(GenericData data)`
Constructors in org.apache.avro.io with parameters of type GenericData
Modifier
Constructor
Description
``
`FastReaderBuilder(GenericData parentData)`

## Uses of GenericData in org.apache.avro.message

Constructors in org.apache.avro.message with parameters of type GenericData
Modifier
Constructor
Description
``
`BinaryMessageDecoder(GenericData model, Schema readSchema)`
Creates a new `BinaryMessageEncoder` that uses the given `data model` to construct datum instances described by the `schema`.
``
`BinaryMessageDecoder(GenericData model, Schema readSchema, SchemaStore resolver)`
Creates a new `BinaryMessageEncoder` that uses the given `data model` to construct datum instances described by the `schema`.
``
`BinaryMessageEncoder(GenericData model, Schema schema)`
Creates a new `BinaryMessageEncoder` that uses the given `data model` to deconstruct datum instances described by the `schema`.
``
`BinaryMessageEncoder(GenericData model, Schema schema, boolean shouldCopy)`
Creates a new `BinaryMessageEncoder` that uses the given `data model` to deconstruct datum instances described by the `schema`.
``
`RawMessageDecoder(GenericData model, Schema schema)`
Creates a new `RawMessageDecoder` that uses the given `data model` to construct datum instances described by the `schema`.
``
`RawMessageDecoder(GenericData model, Schema writeSchema, Schema readSchema)`
Creates a new `RawMessageDecoder` that uses the given `data model` to construct datum instances described by the `readSchema`.
``
`RawMessageEncoder(GenericData model, Schema schema)`
Creates a new `RawMessageEncoder` that uses the given `data model` to deconstruct datum instances described by the `schema`.
``
`RawMessageEncoder(GenericData model, Schema schema, boolean shouldCopy)`
Creates a new `RawMessageEncoder` that uses the given `data model` to deconstruct datum instances described by the `schema`.

## Uses of GenericData in org.apache.avro.reflect

Subclasses of GenericData in org.apache.avro.reflect
Modifier and Type
Class
Description
`class`
`ReflectData`
Utilities to use existing Java classes and interfaces via reflection.
`static class`
`ReflectData.AllowNull`
`ReflectData` implementation that permits null field values.

## Uses of GenericData in org.apache.avro.specific

Subclasses of GenericData in org.apache.avro.specific
Modifier and Type
Class
Description
`class`
`SpecificData`
Utilities for generated Java classes and interfaces.

## Uses of GenericData in org.apache.avro.util

Constructors in org.apache.avro.util with parameters of type GenericData
Modifier
Constructor
Description
``
`RandomData(GenericData genericData, Schema schema, int count)`
``
`RandomData(GenericData genericData, Schema schema, int count, boolean utf8ForString)`
``
`RandomData(GenericData genericData, Schema schema, int count, long seed)`
``
`RandomData(GenericData genericData, Schema schema, int count, long seed, boolean utf8ForString)`